Bug 1025899 - Desktop recording fails with multiple monitors.
Desktop recording fails with multiple monitors.
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
24
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-01 17:47 EDT by Dawid Zamirski
Modified: 2017-08-08 07:43 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 07:43:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dawid Zamirski 2013-11-01 17:47:03 EDT
Description of problem:
When attempting to record my desktop with more than one active monitor, the recoeded file ends up with 0 bytes in it. The following error message appears in journalctl:

gnome-session[27362]: Window manager warning: Log level 16: Error in recording pipeline: Internal data flow error.

Version-Release number of selected component (if applicable):
gnome-shell-3.10.1-2.fc20.x86_64
gnome-session-3.10.1-1.fc20.x86_64


How reproducible:
Alwayd

Steps to Reproduce:
1. Need more than one monitor.
2. Make sure 2nd monitor is active (I have it setup as secondary)
3. Try to record the desktop with ctrl+alt+shit+R combination.

Actual results:
O byte sized file will be created.

Expected results:
Should record the desktop fine.

Additional info:
Works fine when only one monitor (primary) is active.
Comment 1 G. Richard Bellamy 2015-03-20 14:47:04 EDT
I can confirm this is still a problem.

rbellamy@eanna i ~ % sudo pacman -Qs gnome-shell$
local/gnome-shell 3.14.3-2 (gnome)
    The next generation GNOME Shell
rbellamy@eanna i ~ % sudo pacman -Qs gnome-session
local/gnome-session 3.14.0-1 (gnome)
    The GNOME Session Handler

rbellamy@eanna i ~ % sudo pacman -Qs gstreamer0.10-plugins
local/gstreamer0.10-bad-plugins 0.10.23-8 (gstreamer0.10-plugins)
    GStreamer Multimedia Framework Bad Plugins (gst-plugins-bad)
local/gstreamer0.10-base-plugins 0.10.36-3 (gstreamer0.10-plugins)
    GStreamer Multimedia Framework Base Plugins (gst-plugins-base)
local/gstreamer0.10-ffmpeg 0.10.13-2 (gstreamer0.10-plugins)
    Gstreamer FFMpeg Plugin
local/gstreamer0.10-good-plugins 0.10.31-6 (gstreamer0.10-plugins)
    GStreamer Multimedia Framework Good Plugins (gst-plugins-good)
local/gstreamer0.10-ugly-plugins 0.10.19-14 (gstreamer0.10-plugins)
    GStreamer Multimedia Framework Ugly Plugins (gst-plugins-ugly)

root@eanna i ~ # journalctl -ab -o short-monotonic _COMM=gnome-session | grep '\*\*'
[70542.572975] eanna gnome-session[1183]: ** (gnome-shell:1277): WARNING **: Error in recording pipeline: Internal data flow error.
[70556.307138] eanna gnome-session[1183]: ** (gnome-shell:1277): CRITICAL **: shell_recorder_close: assertion 'recorder->state != RECORDER_STATE_CLOSED' failed
Comment 2 G. Richard Bellamy 2015-03-20 14:52:25 EDT
(In reply to G. Richard Bellamy from comment #1)
> I can confirm this is still a problem.
> 
> rbellamy@eanna i ~ % sudo pacman -Qs gnome-shell$

Oh my. Just realized this is a RedHat bug tracker, not GNOME. Sorry for the noise.
Comment 3 G. Richard Bellamy 2015-03-20 15:03:24 EDT
https://bugzilla.gnome.org/show_bug.cgi?id=699845
Comment 4 Fedora End Of Life 2015-05-29 05:40:32 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2016-07-19 16:03:20 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Dawid Zamirski 2016-07-19 16:43:14 EDT
Still an issue in F24
Comment 7 Fedora End Of Life 2017-07-25 14:35:59 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2017-08-08 07:43:50 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.